Name:           postgis
Version:        3.3.6
Release:        %mkrel 1
Summary:     Geographic objects to the PostgreSQL object-relational database
License:        GPLv2+
Group:          Sciences/Geosciences
Url:               http://www.postgis.net
Source0:       http://download.osgeo.org/postgis/source/%{name}-%{version}.tar.xz
Patch0:         postgis-3.0.0-fix-datadir-for-gui.patch

BuildRequires:  bison
BuildRequires:  byacc
BuildRequires:  clang
BuildRequires:  llvm
BuildRequires:  flex
BuildRequires:  imagemagick
BuildRequires:  libxslt-proc
BuildRequires:  gettext-devel
BuildRequires:  pkgconfig(cunit)
BuildRequires:  postgresql-devel >= 12.0
BuildRequires:  proj
BuildRequires:  pkgconfig(proj)
BuildRequires:  geos-devel
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(gdal)
BuildRequires:  pkgconfig(json-c)
BuildRequires:  pkgconfig(libprotobuf-c)
BuildRequires:  pkgconfig(gtk+-2.0)

Requires:       postgresql-plpgsql >= 12.0
Requires:       postgresql-libs >= 12.0

%description
PostGIS is a spatial database extender for PostgreSQL
object-relational database. It adds support for geographic objects
allowing location queries to be run in SQL.

%package gui
Summary:	GUI for Shapefile to PostGIS import tool
Group:		Sciences/Geosciences

%description gui
GUI for Shapefile to PostGIS import tool which you can import
shapefiles into PostGIS databases.

%prep
%setup -q
%autopatch -p1
./autogen.sh

%build
export LDFLAGS="-lm"
./configure --prefix=/usr --libdir=/usr/lib64 \
         --with-gui \
         --disable-static \
         --disable-rpath  
         
%make_build

%install
%make_install

cp utils/postgis*.pl %{buildroot}%{_bindir}
%__chmod 755 %{buildroot}%{_bindir}/postgis*.pl
%__mkdir %{buildroot}%{_docdir}/postgis
mv %{buildroot}%{_docdir}/postgresql %{buildroot}%{_docdir}/postgis/

find %{buildroot} -name "*.la" -delete

%files
%{_bindir}/postgis*
%{_bindir}/pgsql2shp
%{_bindir}/raster2pgsql
%{_bindir}/shp2pgsql
%{_bindir}/pgtopo_export
%{_bindir}/pgtopo_import
%{_libdir}/postgresql/postgis_topology-3.so
%{_libdir}/postgresql/postgis-3.so
%{_libdir}/postgresql/address_standardizer-3.so
%{_libdir}/postgresql/postgis_raster-3.so
%{_datadir}/postgresql/contrib
%{_datadir}/postgresql/extension
%{_docdir}/postgis/postgresql/extension

%files gui
%{_bindir}/shp2pgsql-gui
%{_datadir}/applications/shp2pgsql-gui.desktop
%{_iconsdir}/hicolor/*/*/shp2pgsql-gui.png


%changelog
* Tue Mar 05 2024 pp 3.3.6-1pclos2024
- new version

* Wed Dec 27 2023 pp 3.3.5-1pclos2024
- new version

* Thu May 11 2023 pp 3.3.2-2pclos2023
- rebuild against new gdal

* Sun Feb 05 2023 pp 3.3.2-1pclos2023
- new version

* Thu Dec 08 2022 pp 3.2.3-2pclos2022
- rebuild against new gdal

* Sat Sep 17 2022 pp 3.2.3-1pclos2022
- new version

* Sat May 14 2022 pp 3.2.1-2pclos2022
- rebuild against new gdal

* Mon Mar 14 2022 pp 3.2.1-1pclos2022
- new version

* Wed Nov 10 2021 pp 3.1.4-3pclos2021
- rebuild against new gdal

* Wed Sep 29 2021 tex - 3.1.4-2pclos2021
- rebuild against updates

* Sat Sep 25 2021 pp 3.1.4-1pclos2021
- update

* Sat Jul 03 2021 pp 3.1.3-1pclos2021
- update

* Mon May 07 2021 pp 3.1.1-3pclos2021
- rebuild against new gdal

* Sun Mar 07 2021 pp 3.1.1-2pclos2021
- rebuild against new proj

* Sat Mar 06 2021 tex - 3.1.1-1pclos2021
- new release
